[ARVADOS] updated: 1.3.0-1415-gb326e357c

Git user git at public.curoverse.com
Mon Jul 29 19:30:57 UTC 2019


Summary of changes:
 build/run-tests.sh | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

       via  b326e357c9d906b8b3d536dc2b1f4356b6073a11 (commit)
      from  1bc9d9cb0dac110676f9fd60b2fc128d54b1abf5 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit b326e357c9d906b8b3d536dc2b1f4356b6073a11
Author: Peter Amstutz <pamstutz at veritasgenetics.com>
Date:   Mon Jul 29 15:29:53 2019 -0400

    15467: Better CONFIGSRC check, always write config.yml in start_services
    
    Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <pamstutz at veritasgenetics.com>

diff --git a/build/run-tests.sh b/build/run-tests.sh
index eb0de9d30..b19eafa41 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -196,8 +196,10 @@ sanity_checks() {
     [[ -n "${skip[sanity]}" ]] && return 0
     ( [[ -n "$WORKSPACE" ]] && [[ -d "$WORKSPACE/services" ]] ) \
         || fatal "WORKSPACE environment variable not set to a source directory (see: $0 --help)"
-    ( [[ -n "$CONFIGSRC" ]] && [[ -s "$CONFIGSRC/config.yml" ]] ) \
-        || fatal "CONFIGSRC environment variable not set to a config file (see: $0 --help)"
+    [[ -n "$CONFIGSRC" ]] \
+	|| fatal "CONFIGSRC environment not set (see: $0 --help)"
+    [[ -s "$CONFIGSRC/config.yml" ]] \
+	|| fatal "'$CONFIGSRC/config.yml' is empty or not found (see: $0 --help)"
     echo Checking dependencies:
     echo "locale: ${LANG}"
     [[ "$(locale charmap)" = "UTF-8" ]] \
@@ -420,14 +422,12 @@ start_services() {
     all_services_stopped=
     fail=1
 
-    if [[ ! -s "$ARVADOS_CONFIG" ]] ; then
-       # Create config if it hasn't been created already.  Normally
-       # this happens in install_env because there are downstream
-       # steps like workbench install which require a valid
-       # config.yml, but when invoked with --skip-install that doesn't
-       # happen, so make sure to run it here.
-       eval $(python sdk/python/tests/run_test_server.py setup_config)
-    fi
+    # Create config if it hasn't been created already.  Normally
+    # this happens in install_env because there are downstream
+    # steps like workbench install which require a valid
+    # config.yml, but when invoked with --skip-install that doesn't
+    # happen, so make sure to run it here.
+    eval $(python sdk/python/tests/run_test_server.py setup_config)
 
     cd "$WORKSPACE" \
         && eval $(python sdk/python/tests/run_test_server.py start --auth admin) \

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list